// const proxyConfig = //require('_config/proxy-config')
// vite 不支持 require 将其修改为import 不影响webpack侧使用
import proxyConfig from '_config/proxy-config'
const api = {}

if (process.env.NODE_ENV === 'development') {
  proxyConfig.forEach(config => {
    api[config.key] = `/${config.key}`
  })
} else {
  proxyConfig.forEach(config => {
    api[config.key] = config.productionTarget
  })
}

export default api
